package org.eco.system.domain.bo;

import org.eco.common.orm.core.domain.BaseEntity;
import org.eco.system.domain.ImportExport;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 导入导出日志业务对象 sys_import_export_t
 *
 * @author wgk
 * @date 2024-06-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ImportExport.class, reverseConvertGenerate = false)
public class ImportExportBo extends BaseEntity {
    /**
     * 唯一编码
     */
    @NotNull(message = "唯一编码不能为空")
    private Long id;

    /**
     * 文件名称
     */
    @NotBlank(message = "文件名称不能为空")
    private String name;

    /**
     * 日志信息
     */
    @NotBlank(message = "日志信息不能为空")
    private String logInfo;

    /**
     * 状态
     */
    @NotNull(message = "状态不能为空")
    private Integer status;


}
