package org.eco.system.domain.vo;

import org.eco.common.orm.core.domain.BaseEntity;
import org.eco.system.domain.ImportExport;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.eco.common.excel.annotation.ExcelDictFormat;
import org.eco.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;

/**
 * 导入导出日志视图对象 sys_import_export_t
 *
 * @author wgk
 * @date 2024-06-24
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ImportExport.class)
public class ImportExportVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 唯一编码 */
    @ExcelProperty(value = "唯一编码")
    private Long id;

    /** 文件名称 */
    @ExcelProperty(value = "文件名称")
    private String name;

    /** 日志信息 */
    @ExcelProperty(value = "日志信息")
    private String logInfo;

    /** 状态 */
    @ExcelProperty(value = "状态")
    private Integer status;
}
