CREATE TABLE "eco"."gen_table"
(
    "table_id" BIGINT NOT NULL,
    "table_name" VARCHAR(200) DEFAULT ''
                      NULL,
    "table_comment" VARCHAR(500) DEFAULT ''
                      NULL,
    "sub_table_name" VARCHAR(64) DEFAULT ''
                      NULL,
    "sub_table_fk_name" VARCHAR(64) DEFAULT ''
                      NULL,
    "class_name" VARCHAR(100) DEFAULT ''
                      NULL,
    "tpl_category" VARCHAR(200) DEFAULT 'crud'
                      NULL,
    "package_name" VARCHAR(100) DEFAULT NULL
                      NULL,
    "module_name" VARCHAR(30) DEFAULT NULL
                      NULL,
    "business_name" VARCHAR(30) DEFAULT NULL
                      NULL,
    "function_name" VARCHAR(50) DEFAULT NULL
                      NULL,
    "function_author" VARCHAR(50) DEFAULT NULL
                      NULL,
    "gen_type" CHAR(1) DEFAULT '0'
                      NOT NULL,
    "gen_path" VARCHAR(200) DEFAULT '/'
                      NULL,
    "options" VARCHAR(1000) DEFAULT NULL
                      NULL,
    "version" INT DEFAULT 0
                      NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(500) DEFAULT NULL
        NULL
);
CREATE TABLE "eco"."gen_table_column"
(
    "column_id" BIGINT NOT NULL,
    "table_id" BIGINT NULL,
    "column_name" VARCHAR(200) DEFAULT NULL
                       NULL,
    "column_comment" VARCHAR(500) DEFAULT NULL
                       NULL,
    "column_type" VARCHAR(100) DEFAULT NULL
                       NULL,
    "java_type" VARCHAR(500) DEFAULT NULL
                       NULL,
    "java_field" VARCHAR(200) DEFAULT NULL
                       NULL,
    "is_pk" CHAR(1) DEFAULT NULL
                       NULL,
    "is_increment" CHAR(1) DEFAULT NULL
                       NULL,
    "is_required" CHAR(1) DEFAULT NULL
                       NULL,
    "is_insert" CHAR(1) DEFAULT NULL
                       NULL,
    "is_edit" CHAR(1) DEFAULT NULL
                       NULL,
    "is_list" CHAR(1) DEFAULT NULL
                       NULL,
    "is_query" CHAR(1) DEFAULT NULL
                       NULL,
    "query_type" VARCHAR(200) DEFAULT 'EQ'
                       NULL,
    "html_type" VARCHAR(200) DEFAULT NULL
                       NULL,
    "dict_type" VARCHAR(200) DEFAULT ''
                       NULL,
    "sort" INT NULL,
    "version" INT DEFAULT 0
                       NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "eco"."sys_client"
(
    "id" BIGINT NOT NULL,
    "client_id" VARCHAR(64) DEFAULT ''
                NULL,
    "client_key" VARCHAR(32) DEFAULT ''
                NULL,
    "client_secret" VARCHAR(255) DEFAULT ''
                NULL,
    "grant_type" VARCHAR(255) DEFAULT ''
                NULL,
    "device_type" VARCHAR(32) DEFAULT ''
                NULL,
    "active_timeout" INT DEFAULT 1800
                NULL,
    "timeout" INT DEFAULT 604800
                NULL,
    "status" CHAR(1) DEFAULT '1'
                NULL,
    "version" INT DEFAULT 0
                NULL,
    "del_flag" SMALLINT DEFAULT 1
                NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "eco"."sys_config"
(
    "config_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT '0'
                       NOT NULL,
    "config_name" VARCHAR(100) DEFAULT ''
                       NULL,
    "config_key" VARCHAR(100) DEFAULT ''
                       NULL,
    "config_value" VARCHAR(500) DEFAULT ''
                       NULL,
    "config_type" CHAR(1) DEFAULT 'N'
                       NULL,
    "version" INT DEFAULT 0
                       NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(500) DEFAULT NULL
        NULL
);
CREATE TABLE "eco"."sys_dept"
(
    "dept_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT 0
                     NULL,
    "parent_id" BIGINT DEFAULT 0
                     NULL,
    "ancestors" VARCHAR(760) DEFAULT ''
                     NULL,
    "dept_name" VARCHAR(30) DEFAULT ''
                     NULL,
    "order_num" INT DEFAULT 0
                     NULL,
    "leader" VARCHAR(20) DEFAULT ''
                     NULL,
    "phone" VARCHAR(11) DEFAULT NULL
                     NULL,
    "email" VARCHAR(50) DEFAULT NULL
                     NULL,
    "status" CHAR(1) DEFAULT '1'
                     NULL,
    "version" INT DEFAULT 0
                     NULL,
    "del_flag" SMALLINT DEFAULT 1
                     NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "eco"."sys_dict_data"
(
    "dict_code" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT '0'
                       NOT NULL,
    "dict_sort" INT DEFAULT 0
                       NULL,
    "dict_label" VARCHAR(100) DEFAULT ''
                       NULL,
    "dict_value" VARCHAR(100) DEFAULT ''
                       NULL,
    "dict_type" VARCHAR(100) DEFAULT ''
                       NULL,
    "css_class" VARCHAR(100) DEFAULT NULL
                       NULL,
    "list_class" VARCHAR(100) DEFAULT NULL
                       NULL,
    "is_default" CHAR(1) DEFAULT 'N'
                       NULL,
    "version" INT DEFAULT 0
                       NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(500) DEFAULT NULL
        NULL
);
CREATE TABLE "eco"."sys_dict_type"
(
    "dict_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT '0'
                     NOT NULL,
    "dict_name" VARCHAR(100) DEFAULT ''
                     NULL,
    "dict_type" VARCHAR(100) DEFAULT ''
                     NULL,
    "version" INT DEFAULT 0
                     NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(500) DEFAULT NULL
        NULL
);
CREATE TABLE "eco"."sys_import_export_t"
(
    "id" BIGINT NOT NULL,
    "name" VARCHAR2(255) NULL,
    "log_info" VARCHAR2(3000) NULL,
    "status" SMALLINT DEFAULT '1'
        NULL,
    "tenant_id" BIGINT DEFAULT 0
        NOT NULL,
    "version" INTEGER DEFAULT 0
        NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "eco"."sys_logininfor"
(
    "info_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT '0'
                     NOT NULL,
    "user_name" VARCHAR(50) DEFAULT ''
                     NULL,
    "client_key" VARCHAR(32) DEFAULT ''
                     NULL,
    "device_type" VARCHAR(32) DEFAULT ''
                     NULL,
    "ipaddr" VARCHAR(128) DEFAULT ''
                     NULL,
    "login_location" VARCHAR(255) DEFAULT ''
                     NULL,
    "browser" VARCHAR(50) DEFAULT ''
                     NULL,
    "os" VARCHAR(50) DEFAULT ''
                     NULL,
    "status" CHAR(1) DEFAULT '1'
                     NULL,
    "msg" VARCHAR(255) DEFAULT ''
                     NULL,
    "login_time" TIMESTAMP(6) NULL
);
CREATE TABLE "eco"."sys_menu"
(
    "menu_id" BIGINT NOT NULL,
    "menu_name" VARCHAR(50) NOT NULL,
    "parent_id" BIGINT DEFAULT 0
        NULL,
    "order_num" INT DEFAULT 0
        NULL,
    "path" VARCHAR(200) DEFAULT ''
        NULL,
    "component" VARCHAR(255) DEFAULT NULL
        NULL,
    "component_name" VARCHAR(255) DEFAULT NULL
        NULL,
    "query_param" VARCHAR(255) DEFAULT NULL
        NULL,
    "is_frame" CHAR(1) DEFAULT '0'
        NULL,
    "is_cache" CHAR(1) DEFAULT '1'
        NULL,
    "menu_type" CHAR(1) DEFAULT ''
        NULL,
    "visible" CHAR(1) DEFAULT '1'
        NULL,
    "status" CHAR(1) DEFAULT '1'
        NULL,
    "perms" VARCHAR(100) DEFAULT NULL
        NULL,
    "icon" VARCHAR(100) DEFAULT '#'
        NULL,
    "version" INT DEFAULT 0
        NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(500) DEFAULT ''
        NULL
);
CREATE TABLE "eco"."sys_notice"
(
    "notice_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT '0'
                       NOT NULL,
    "notice_title" VARCHAR(50) NOT NULL,
    "notice_type" CHAR(1) NOT NULL,
    "notice_content" TEXT NULL,
    "status" CHAR(1) DEFAULT '1'
        NULL,
    "version" INT DEFAULT 0
        NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(255) DEFAULT NULL
        NULL
);
CREATE TABLE "eco"."sys_oper_log"
(
    "oper_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT '0'
                     NOT NULL,
    "title" VARCHAR(50) DEFAULT ''
                     NULL,
    "business_type" INT DEFAULT 0
                     NULL,
    "method" VARCHAR(100) DEFAULT ''
                     NULL,
    "request_method" VARCHAR(10) DEFAULT ''
                     NULL,
    "operator_type" INT DEFAULT 0
                     NULL,
    "oper_name" VARCHAR(50) DEFAULT ''
                     NULL,
    "dept_name" VARCHAR(50) DEFAULT ''
                     NULL,
    "oper_url" VARCHAR(255) DEFAULT ''
                     NULL,
    "oper_ip" VARCHAR(128) DEFAULT ''
                     NULL,
    "oper_location" VARCHAR(255) DEFAULT ''
                     NULL,
    "oper_param" VARCHAR(2000) DEFAULT ''
                     NULL,
    "json_result" VARCHAR(2000) DEFAULT ''
                     NULL,
    "status" INT DEFAULT 1
                     NULL,
    "error_msg" VARCHAR(2000) DEFAULT ''
                     NULL,
    "oper_time" TIMESTAMP(6) NULL,
    "cost_time" BIGINT DEFAULT 0
        NULL
);
CREATE TABLE "eco"."sys_oss"
(
    "oss_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT '0'
                    NOT NULL,
    "file_name" VARCHAR(255) DEFAULT ''
                    NOT NULL,
    "original_name" VARCHAR(255) DEFAULT ''
                    NOT NULL,
    "file_suffix" VARCHAR(10) DEFAULT ''
                    NOT NULL,
    "url" VARCHAR(500) DEFAULT ''
                    NOT NULL,
    "service" VARCHAR(20) DEFAULT 'minio'
                    NULL,
    "version" INT DEFAULT 0
                    NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "eco"."sys_oss_config"
(
    "oss_config_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT '0'
                           NOT NULL,
    "config_key" VARCHAR(20) DEFAULT ''
                           NOT NULL,
    "access_key" VARCHAR(255) DEFAULT ''
                           NULL,
    "secret_key" VARCHAR(255) DEFAULT ''
                           NULL,
    "bucket_name" VARCHAR(255) DEFAULT ''
                           NULL,
    "prefix" VARCHAR(255) DEFAULT ''
                           NULL,
    "endpoint" VARCHAR(255) DEFAULT ''
                           NULL,
    "domain_name" VARCHAR(255) DEFAULT ''
                           NULL,
    "is_https" CHAR(1) DEFAULT 'N'
                           NULL,
    "region" VARCHAR(255) DEFAULT ''
                           NULL,
    "access_policy" CHAR(1) DEFAULT '1'
                           NOT NULL,
    "status" CHAR(1) DEFAULT '1'
                           NULL,
    "ext1" VARCHAR(255) DEFAULT ''
                           NULL,
    "version" INT DEFAULT 0
                           NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(500) DEFAULT ''
        NULL
);
CREATE TABLE "eco"."sys_post"
(
    "post_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT '0'
                     NOT NULL,
    "post_code" VARCHAR(64) NOT NULL,
    "post_name" VARCHAR(50) NOT NULL,
    "post_sort" INT NOT NULL,
    "status" CHAR(1) NULL,
    "version" INT DEFAULT 0
        NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(500) DEFAULT NULL
        NULL
);
CREATE TABLE "eco"."sys_role"
(
    "role_id" BIGINT NOT NULL,
    "tenant_id" BIGINT DEFAULT 0
                     NULL,
    "role_name" VARCHAR(30) NOT NULL,
    "role_key" VARCHAR(100) NOT NULL,
    "role_sort" INT NOT NULL,
    "data_scope" CHAR(1) DEFAULT '1'
        NULL,
    "menu_check_strictly" BIT DEFAULT 0
        NULL,
    "dept_check_strictly" BIT DEFAULT 0
        NULL,
    "status" CHAR(1) NULL,
    "version" INT DEFAULT 0
        NULL,
    "del_flag" BIT DEFAULT 1
        NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(500) DEFAULT NULL
        NULL
);
CREATE TABLE "eco"."sys_role_dept"
(
    "role_id" BIGINT NOT NULL,
    "dept_id" BIGINT NOT NULL
);
CREATE TABLE "eco"."sys_role_menu"
(
    "role_id" BIGINT NOT NULL,
    "menu_id" BIGINT NOT NULL
);
CREATE TABLE "eco"."sys_tenant"
(
    "tenant_id" BIGINT NOT NULL,
    "contact_user_name" VARCHAR(20) DEFAULT NULL
                       NULL,
    "contact_phone" VARCHAR(20) DEFAULT NULL
                       NULL,
    "company_name" VARCHAR(50) DEFAULT NULL
                       NULL,
    "license_number" VARCHAR(30) DEFAULT NULL
                       NULL,
    "address" VARCHAR(200) DEFAULT NULL
                       NULL,
    "intro" VARCHAR(200) DEFAULT NULL
                       NULL,
    "domain_name" VARCHAR(200) DEFAULT NULL
                       NULL,
    "remark" VARCHAR(200) DEFAULT NULL
                       NULL,
    "package_id" BIGINT NULL,
    "expire_time" TIMESTAMP(6) NULL,
    "account_count" INT DEFAULT '-1'
        NULL,
    "status" CHAR(1) DEFAULT '0'
        NULL,
    "version" INT DEFAULT 1
        NULL,
    "del_flag" BIT DEFAULT 0
        NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "eco"."sys_tenant_package"
(
    "package_id" BIGINT NOT NULL,
    "package_name" VARCHAR(20) DEFAULT ''
                        NULL,
    "menu_ids" VARCHAR(3000) DEFAULT ''
                        NULL,
    "remark" VARCHAR(200) DEFAULT ''
                        NULL,
    "menu_check_strictly" BIT DEFAULT 0
                        NULL,
    "status" CHAR(1) DEFAULT '0'
                        NULL,
    "version" INT DEFAULT 0
                        NULL,
    "del_flag" BIT DEFAULT 1
                        NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL
);
CREATE TABLE "eco"."sys_user"
(
    "user_id" BIGINT NOT NULL,
    "tenant_id" BIGINT NULL,
    "dept_id" BIGINT NULL,
    "user_name" VARCHAR(30) NOT NULL,
    "nick_name" VARCHAR(30) NOT NULL,
    "user_type" VARCHAR(10) DEFAULT 'sys_user'
        NULL,
    "email" VARCHAR(50) DEFAULT ''
        NOT NULL,
    "phonenumber" VARCHAR(11) DEFAULT ''
        NULL,
    "gender" SMALLINT DEFAULT '0'
        NULL,
    "avatar" BIGINT NULL,
    "password" VARCHAR(100) DEFAULT ''
        NULL,
    "status" CHAR(1) DEFAULT '0'
        NULL,
    "version" INT DEFAULT 0
        NULL,
    "del_flag" BIT DEFAULT 1
        NULL,
    "login_ip" VARCHAR(128) DEFAULT ''
        NULL,
    "login_date" TIMESTAMP(6) NULL,
    "create_by" BIGINT NULL,
    "create_time" TIMESTAMP(6) NULL,
    "update_by" BIGINT NULL,
    "update_time" TIMESTAMP(6) NULL,
    "remark" VARCHAR(500) DEFAULT NULL
        NULL
);
CREATE TABLE "eco"."sys_user_post"
(
    "user_id" BIGINT NOT NULL,
    "post_id" BIGINT NOT NULL
);
CREATE TABLE "eco"."sys_user_role"
(
    "user_id" BIGINT NOT NULL,
    "role_id" BIGINT NOT NULL
);
ALTER TABLE "eco"."gen_table" ADD CONSTRAINT "gen_table_pk" PRIMARY KEY("table_id") ;

ALTER TABLE "eco"."gen_table_column" ADD CONSTRAINT "gen_table_column_pk" PRIMARY KEY("column_id") ;

ALTER TABLE "eco"."sys_client" ADD CONSTRAINT "sys_client_pk" PRIMARY KEY("id") ;

ALTER TABLE "eco"."sys_config" ADD CONSTRAINT "sys_config_pk" PRIMARY KEY("config_id") ;

ALTER TABLE "eco"."sys_dept" ADD CONSTRAINT "sys_dept_pk" PRIMARY KEY("dept_id") ;

ALTER TABLE "eco"."sys_dict_data" ADD CONSTRAINT "sys_dict_data_pk" PRIMARY KEY("dict_code") ;

ALTER TABLE "eco"."sys_dict_type" ADD CONSTRAINT "sys_dict_type_pk" PRIMARY KEY("dict_id") ;

ALTER TABLE "eco"."sys_import_export_t" ADD CONSTRAINT  PRIMARY KEY("id") ;

ALTER TABLE "eco"."sys_logininfor" ADD CONSTRAINT "sys_logininfor_pk" PRIMARY KEY("info_id") ;

ALTER TABLE "eco"."sys_menu" ADD CONSTRAINT "sys_menu_pk" PRIMARY KEY("menu_id") ;

ALTER TABLE "eco"."sys_notice" ADD CONSTRAINT "sys_notice_pk" PRIMARY KEY("notice_id") ;

ALTER TABLE "eco"."sys_oper_log" ADD CONSTRAINT "sys_oper_log_pk" PRIMARY KEY("oper_id") ;

ALTER TABLE "eco"."sys_oss" ADD CONSTRAINT "sys_oss_pk" PRIMARY KEY("oss_id") ;

ALTER TABLE "eco"."sys_oss_config" ADD CONSTRAINT "sys_oss_config_pk" PRIMARY KEY("oss_config_id") ;

ALTER TABLE "eco"."sys_post" ADD CONSTRAINT "sys_post_pk" PRIMARY KEY("post_id") ;

ALTER TABLE "eco"."sys_role" ADD CONSTRAINT "sys_role_pk" PRIMARY KEY("role_id") ;

ALTER TABLE "eco"."sys_role_dept" ADD CONSTRAINT "sys_role_dept_pk" PRIMARY KEY("role_id","dept_id") ;

ALTER TABLE "eco"."sys_role_menu" ADD CONSTRAINT "sys_role_menu_pk" PRIMARY KEY("role_id","menu_id") ;

ALTER TABLE "eco"."sys_tenant" ADD CONSTRAINT "pk_sys_tenant" PRIMARY KEY("tenant_id") ;

ALTER TABLE "eco"."sys_tenant_package" ADD CONSTRAINT "sys_tenant_package_pkey" PRIMARY KEY("package_id") ;

ALTER TABLE "eco"."sys_user" ADD CONSTRAINT "sys_user_pk" PRIMARY KEY("user_id") ;

ALTER TABLE "eco"."sys_user_post" ADD CONSTRAINT "sys_user_post_pk" PRIMARY KEY("user_id","post_id") ;

ALTER TABLE "eco"."sys_user_role" ADD CONSTRAINT "sys_user_role_pk" PRIMARY KEY("user_id","role_id") ;

CREATE UNIQUE INDEX "sys_dict_type_index1"
    ON "eco"."sys_dict_type"("tenant_id","dict_type");

CREATE INDEX "idx_sys_logininfor_lt"
    ON "eco"."sys_logininfor"("login_time");

CREATE INDEX "idx_sys_logininfor_s"
    ON "eco"."sys_logininfor"("status");

CREATE INDEX "idx_sys_oper_log_bt"
    ON "eco"."sys_oper_log"("business_type");

CREATE INDEX "idx_sys_oper_log_ot"
    ON "eco"."sys_oper_log"("oper_time");

CREATE INDEX "idx_sys_oper_log_s"
    ON "eco"."sys_oper_log"("status");

CREATE UNIQUE INDEX "sys_user_unqindex_tenant_username"
    ON "eco"."sys_user"("tenant_id","user_name");

COMMENT ON TABLE "eco"."gen_table" IS '代码生成业务表';

COMMENT ON COLUMN "eco"."gen_table"."table_id" IS '编号';

COMMENT ON COLUMN "eco"."gen_table"."table_name" IS '表名称';

COMMENT ON COLUMN "eco"."gen_table"."table_comment" IS '表描述';

COMMENT ON COLUMN "eco"."gen_table"."sub_table_name" IS '关联子表的表名';

COMMENT ON COLUMN "eco"."gen_table"."sub_table_fk_name" IS '子表关联的外键名';

COMMENT ON COLUMN "eco"."gen_table"."class_name" IS '实体类名称';

COMMENT ON COLUMN "eco"."gen_table"."tpl_category" IS '使用的模板（CRUD单表操作 TREE树表操作）';

COMMENT ON COLUMN "eco"."gen_table"."package_name" IS '生成包路径';

COMMENT ON COLUMN "eco"."gen_table"."module_name" IS '生成模块名';

COMMENT ON COLUMN "eco"."gen_table"."business_name" IS '生成业务名';

COMMENT ON COLUMN "eco"."gen_table"."function_name" IS '生成功能名';

COMMENT ON COLUMN "eco"."gen_table"."function_author" IS '生成功能作者';

COMMENT ON COLUMN "eco"."gen_table"."gen_type" IS '生成代码方式（0zip压缩包 1自定义路径）';

COMMENT ON COLUMN "eco"."gen_table"."gen_path" IS '生成路径（不填默认项目路径）';

COMMENT ON COLUMN "eco"."gen_table"."options" IS '其它生成选项';

COMMENT ON COLUMN "eco"."gen_table"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."gen_table"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."gen_table"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."gen_table"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."gen_table"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."gen_table"."remark" IS '备注';

COMMENT ON TABLE "eco"."gen_table_column" IS '代码生成业务表字段';

COMMENT ON COLUMN "eco"."gen_table_column"."column_id" IS '编号';

COMMENT ON COLUMN "eco"."gen_table_column"."table_id" IS '归属表编号';

COMMENT ON COLUMN "eco"."gen_table_column"."column_name" IS '列名称';

COMMENT ON COLUMN "eco"."gen_table_column"."column_comment" IS '列描述';

COMMENT ON COLUMN "eco"."gen_table_column"."column_type" IS '列类型';

COMMENT ON COLUMN "eco"."gen_table_column"."java_type" IS 'JAVA类型';

COMMENT ON COLUMN "eco"."gen_table_column"."java_field" IS 'JAVA字段名';

COMMENT ON COLUMN "eco"."gen_table_column"."is_pk" IS '是否主键（1是）';

COMMENT ON COLUMN "eco"."gen_table_column"."is_increment" IS '是否自增（1是）';

COMMENT ON COLUMN "eco"."gen_table_column"."is_required" IS '是否必填（1是）';

COMMENT ON COLUMN "eco"."gen_table_column"."is_insert" IS '是否为插入字段（1是）';

COMMENT ON COLUMN "eco"."gen_table_column"."is_edit" IS '是否编辑字段（1是）';

COMMENT ON COLUMN "eco"."gen_table_column"."is_list" IS '是否列表字段（1是）';

COMMENT ON COLUMN "eco"."gen_table_column"."is_query" IS '是否查询字段（1是）';

COMMENT ON COLUMN "eco"."gen_table_column"."query_type" IS '查询方式（等于、不等于、大于、小于、范围）';

COMMENT ON COLUMN "eco"."gen_table_column"."html_type" IS '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）';

COMMENT ON COLUMN "eco"."gen_table_column"."dict_type" IS '字典类型';

COMMENT ON COLUMN "eco"."gen_table_column"."sort" IS '排序';

COMMENT ON COLUMN "eco"."gen_table_column"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."gen_table_column"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."gen_table_column"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."gen_table_column"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."gen_table_column"."update_time" IS '更新时间';

COMMENT ON TABLE "eco"."sys_client" IS '系统授权表';

COMMENT ON COLUMN "eco"."sys_client"."id" IS '主建';

COMMENT ON COLUMN "eco"."sys_client"."client_id" IS '客户端id';

COMMENT ON COLUMN "eco"."sys_client"."client_key" IS '客户端key';

COMMENT ON COLUMN "eco"."sys_client"."client_secret" IS '客户端秘钥';

COMMENT ON COLUMN "eco"."sys_client"."grant_type" IS '授权类型';

COMMENT ON COLUMN "eco"."sys_client"."device_type" IS '设备类型';

COMMENT ON COLUMN "eco"."sys_client"."active_timeout" IS 'token活跃超时时间';

COMMENT ON COLUMN "eco"."sys_client"."timeout" IS 'token固定超时';

COMMENT ON COLUMN "eco"."sys_client"."status" IS '状态（1正常 0停用）';

COMMENT ON COLUMN "eco"."sys_client"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_client"."del_flag" IS '删除标志（1代表存在 0代表删除）';

COMMENT ON COLUMN "eco"."sys_client"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_client"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_client"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_client"."update_time" IS '更新时间';

COMMENT ON TABLE "eco"."sys_config" IS '参数配置表';

COMMENT ON COLUMN "eco"."sys_config"."config_id" IS '参数主键';

COMMENT ON COLUMN "eco"."sys_config"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_config"."config_name" IS '参数名称';

COMMENT ON COLUMN "eco"."sys_config"."config_key" IS '参数键名';

COMMENT ON COLUMN "eco"."sys_config"."config_value" IS '参数键值';

COMMENT ON COLUMN "eco"."sys_config"."config_type" IS '系统内置（Y是 N否）';

COMMENT ON COLUMN "eco"."sys_config"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_config"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_config"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_config"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_config"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."sys_config"."remark" IS '备注';

COMMENT ON TABLE "eco"."sys_dept" IS '部门表';

COMMENT ON COLUMN "eco"."sys_dept"."dept_id" IS '部门ID';

COMMENT ON COLUMN "eco"."sys_dept"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_dept"."parent_id" IS '父部门ID';

COMMENT ON COLUMN "eco"."sys_dept"."ancestors" IS '祖级列表';

COMMENT ON COLUMN "eco"."sys_dept"."dept_name" IS '部门名称';

COMMENT ON COLUMN "eco"."sys_dept"."order_num" IS '显示顺序';

COMMENT ON COLUMN "eco"."sys_dept"."leader" IS '负责人';

COMMENT ON COLUMN "eco"."sys_dept"."phone" IS '联系电话';

COMMENT ON COLUMN "eco"."sys_dept"."email" IS '邮箱';

COMMENT ON COLUMN "eco"."sys_dept"."status" IS '部门状态（1正常 0停用）';

COMMENT ON COLUMN "eco"."sys_dept"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_dept"."del_flag" IS '删除标志（1代表存在 0代表删除）';

COMMENT ON COLUMN "eco"."sys_dept"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_dept"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_dept"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_dept"."update_time" IS '更新时间';

COMMENT ON TABLE "eco"."sys_dict_data" IS '字典数据表';

COMMENT ON COLUMN "eco"."sys_dict_data"."dict_code" IS '字典编码';

COMMENT ON COLUMN "eco"."sys_dict_data"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_dict_data"."dict_sort" IS '字典排序';

COMMENT ON COLUMN "eco"."sys_dict_data"."dict_label" IS '字典标签';

COMMENT ON COLUMN "eco"."sys_dict_data"."dict_value" IS '字典键值';

COMMENT ON COLUMN "eco"."sys_dict_data"."dict_type" IS '字典类型';

COMMENT ON COLUMN "eco"."sys_dict_data"."css_class" IS '样式属性（其他样式扩展）';

COMMENT ON COLUMN "eco"."sys_dict_data"."list_class" IS '表格回显样式';

COMMENT ON COLUMN "eco"."sys_dict_data"."is_default" IS '是否默认（Y是 N否）';

COMMENT ON COLUMN "eco"."sys_dict_data"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_dict_data"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_dict_data"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_dict_data"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_dict_data"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."sys_dict_data"."remark" IS '备注';

COMMENT ON TABLE "eco"."sys_dict_type" IS '字典类型表';

COMMENT ON COLUMN "eco"."sys_dict_type"."dict_id" IS '字典主键';

COMMENT ON COLUMN "eco"."sys_dict_type"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_dict_type"."dict_name" IS '字典名称';

COMMENT ON COLUMN "eco"."sys_dict_type"."dict_type" IS '字典类型';

COMMENT ON COLUMN "eco"."sys_dict_type"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_dict_type"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_dict_type"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_dict_type"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_dict_type"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."sys_dict_type"."remark" IS '备注';

COMMENT ON TABLE "eco"."sys_import_export_t" IS '导入导出日志';

COMMENT ON COLUMN "eco"."sys_import_export_t"."id" IS '唯一编码';

COMMENT ON COLUMN "eco"."sys_import_export_t"."name" IS '文件名称';

COMMENT ON COLUMN "eco"."sys_import_export_t"."log_info" IS '日志信息';

COMMENT ON COLUMN "eco"."sys_import_export_t"."status" IS '状态(1正常  0异常)';

COMMENT ON COLUMN "eco"."sys_import_export_t"."tenant_id" IS '租户号';

COMMENT ON COLUMN "eco"."sys_import_export_t"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_import_export_t"."create_by" IS '创建人';

COMMENT ON COLUMN "eco"."sys_import_export_t"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_import_export_t"."update_by" IS '更新人';

COMMENT ON COLUMN "eco"."sys_import_export_t"."update_time" IS '更新时间';

COMMENT ON TABLE "eco"."sys_logininfor" IS '系统访问记录';

COMMENT ON COLUMN "eco"."sys_logininfor"."info_id" IS '访问ID';

COMMENT ON COLUMN "eco"."sys_logininfor"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_logininfor"."user_name" IS '用户账号';

COMMENT ON COLUMN "eco"."sys_logininfor"."client_key" IS '客户端';

COMMENT ON COLUMN "eco"."sys_logininfor"."device_type" IS '设备类型';

COMMENT ON COLUMN "eco"."sys_logininfor"."ipaddr" IS '登录IP地址';

COMMENT ON COLUMN "eco"."sys_logininfor"."login_location" IS '登录地点';

COMMENT ON COLUMN "eco"."sys_logininfor"."browser" IS '浏览器类型';

COMMENT ON COLUMN "eco"."sys_logininfor"."os" IS '操作系统';

COMMENT ON COLUMN "eco"."sys_logininfor"."status" IS '登录状态（1成功 0失败）';

COMMENT ON COLUMN "eco"."sys_logininfor"."msg" IS '提示消息';

COMMENT ON COLUMN "eco"."sys_logininfor"."login_time" IS '访问时间';

COMMENT ON TABLE "eco"."sys_menu" IS '菜单权限表';

COMMENT ON COLUMN "eco"."sys_menu"."menu_id" IS '菜单ID';

COMMENT ON COLUMN "eco"."sys_menu"."menu_name" IS '菜单名称';

COMMENT ON COLUMN "eco"."sys_menu"."parent_id" IS '父菜单ID';

COMMENT ON COLUMN "eco"."sys_menu"."order_num" IS '显示顺序';

COMMENT ON COLUMN "eco"."sys_menu"."path" IS '路由地址';

COMMENT ON COLUMN "eco"."sys_menu"."component" IS '组件路径';

COMMENT ON COLUMN "eco"."sys_menu"."component_name" IS '组件名称';

COMMENT ON COLUMN "eco"."sys_menu"."query_param" IS '路由参数';

COMMENT ON COLUMN "eco"."sys_menu"."is_frame" IS '是否为外链（1是 0否）';

COMMENT ON COLUMN "eco"."sys_menu"."is_cache" IS '是否缓存（1缓存 0不缓存）';

COMMENT ON COLUMN "eco"."sys_menu"."menu_type" IS '菜单类型（M目录 C菜单 F按钮）';

COMMENT ON COLUMN "eco"."sys_menu"."visible" IS '显示状态（1显示 0隐藏）';

COMMENT ON COLUMN "eco"."sys_menu"."status" IS '菜单状态（1正常 0停用）';

COMMENT ON COLUMN "eco"."sys_menu"."perms" IS '权限标识';

COMMENT ON COLUMN "eco"."sys_menu"."icon" IS '菜单图标';

COMMENT ON COLUMN "eco"."sys_menu"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_menu"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_menu"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_menu"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_menu"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."sys_menu"."remark" IS '备注';

COMMENT ON TABLE "eco"."sys_notice" IS '通知公告表';

COMMENT ON COLUMN "eco"."sys_notice"."notice_id" IS '公告ID';

COMMENT ON COLUMN "eco"."sys_notice"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_notice"."notice_title" IS '公告标题';

COMMENT ON COLUMN "eco"."sys_notice"."notice_type" IS '公告类型（1通知 2公告）';

COMMENT ON COLUMN "eco"."sys_notice"."notice_content" IS '公告内容';

COMMENT ON COLUMN "eco"."sys_notice"."status" IS '公告状态（1正常 0关闭）';

COMMENT ON COLUMN "eco"."sys_notice"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_notice"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_notice"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_notice"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_notice"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."sys_notice"."remark" IS '备注';

COMMENT ON TABLE "eco"."sys_oper_log" IS '操作日志记录';

COMMENT ON COLUMN "eco"."sys_oper_log"."oper_id" IS '日志主键';

COMMENT ON COLUMN "eco"."sys_oper_log"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_oper_log"."title" IS '模块标题';

COMMENT ON COLUMN "eco"."sys_oper_log"."business_type" IS '业务类型（0其它 1新增 2修改 3删除）';

COMMENT ON COLUMN "eco"."sys_oper_log"."method" IS '方法名称';

COMMENT ON COLUMN "eco"."sys_oper_log"."request_method" IS '请求方式';

COMMENT ON COLUMN "eco"."sys_oper_log"."operator_type" IS '操作类别（0其它 1后台用户 2手机端用户）';

COMMENT ON COLUMN "eco"."sys_oper_log"."oper_name" IS '操作人员';

COMMENT ON COLUMN "eco"."sys_oper_log"."dept_name" IS '部门名称';

COMMENT ON COLUMN "eco"."sys_oper_log"."oper_url" IS '请求URL';

COMMENT ON COLUMN "eco"."sys_oper_log"."oper_ip" IS '主机地址';

COMMENT ON COLUMN "eco"."sys_oper_log"."oper_location" IS '操作地点';

COMMENT ON COLUMN "eco"."sys_oper_log"."oper_param" IS '请求参数';

COMMENT ON COLUMN "eco"."sys_oper_log"."json_result" IS '返回参数';

COMMENT ON COLUMN "eco"."sys_oper_log"."status" IS '操作状态（1正常 0异常）';

COMMENT ON COLUMN "eco"."sys_oper_log"."error_msg" IS '错误消息';

COMMENT ON COLUMN "eco"."sys_oper_log"."oper_time" IS '操作时间';

COMMENT ON COLUMN "eco"."sys_oper_log"."cost_time" IS '消耗时间';

COMMENT ON TABLE "eco"."sys_oss" IS 'OSS对象存储表';

COMMENT ON COLUMN "eco"."sys_oss"."oss_id" IS '对象存储主键';

COMMENT ON COLUMN "eco"."sys_oss"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "eco"."sys_oss"."file_name" IS '文件名';

COMMENT ON COLUMN "eco"."sys_oss"."original_name" IS '原名';

COMMENT ON COLUMN "eco"."sys_oss"."file_suffix" IS '文件后缀名';

COMMENT ON COLUMN "eco"."sys_oss"."url" IS 'URL地址';

COMMENT ON COLUMN "eco"."sys_oss"."service" IS '服务商';

COMMENT ON COLUMN "eco"."sys_oss"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_oss"."create_by" IS '上传人';

COMMENT ON COLUMN "eco"."sys_oss"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_oss"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_oss"."update_time" IS '更新时间';

COMMENT ON TABLE "eco"."sys_oss_config" IS '对象存储配置表';

COMMENT ON COLUMN "eco"."sys_oss_config"."oss_config_id" IS '主建';

COMMENT ON COLUMN "eco"."sys_oss_config"."tenant_id" IS '租户编码';

COMMENT ON COLUMN "eco"."sys_oss_config"."config_key" IS '配置key';

COMMENT ON COLUMN "eco"."sys_oss_config"."access_key" IS 'accessKey';

COMMENT ON COLUMN "eco"."sys_oss_config"."secret_key" IS '秘钥';

COMMENT ON COLUMN "eco"."sys_oss_config"."bucket_name" IS '桶名称';

COMMENT ON COLUMN "eco"."sys_oss_config"."prefix" IS '前缀';

COMMENT ON COLUMN "eco"."sys_oss_config"."endpoint" IS '访问站点';

COMMENT ON COLUMN "eco"."sys_oss_config"."domain_name" IS '自定义域名';

COMMENT ON COLUMN "eco"."sys_oss_config"."is_https" IS '是否https（Y=是,N=否）';

COMMENT ON COLUMN "eco"."sys_oss_config"."region" IS '域';

COMMENT ON COLUMN "eco"."sys_oss_config"."access_policy" IS '桶权限类型(0=private 1=public 2=custom)';

COMMENT ON COLUMN "eco"."sys_oss_config"."status" IS '是否默认（1=是,0=否）';

COMMENT ON COLUMN "eco"."sys_oss_config"."ext1" IS '扩展字段';

COMMENT ON COLUMN "eco"."sys_oss_config"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_oss_config"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_oss_config"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_oss_config"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_oss_config"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."sys_oss_config"."remark" IS '备注';

COMMENT ON TABLE "eco"."sys_post" IS '岗位信息表';

COMMENT ON COLUMN "eco"."sys_post"."post_id" IS '岗位ID';

COMMENT ON COLUMN "eco"."sys_post"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_post"."post_code" IS '岗位编码';

COMMENT ON COLUMN "eco"."sys_post"."post_name" IS '岗位名称';

COMMENT ON COLUMN "eco"."sys_post"."post_sort" IS '显示顺序';

COMMENT ON COLUMN "eco"."sys_post"."status" IS '状态（1正常 0停用）';

COMMENT ON COLUMN "eco"."sys_post"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_post"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_post"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_post"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_post"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."sys_post"."remark" IS '备注';

COMMENT ON TABLE "eco"."sys_role" IS '角色信息表';

COMMENT ON COLUMN "eco"."sys_role"."role_id" IS '角色ID';

COMMENT ON COLUMN "eco"."sys_role"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_role"."role_name" IS '角色名称';

COMMENT ON COLUMN "eco"."sys_role"."role_key" IS '角色权限字符串';

COMMENT ON COLUMN "eco"."sys_role"."role_sort" IS '显示顺序';

COMMENT ON COLUMN "eco"."sys_role"."data_scope" IS '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）';

COMMENT ON COLUMN "eco"."sys_role"."menu_check_strictly" IS '菜单树选择项是否关联显示';

COMMENT ON COLUMN "eco"."sys_role"."dept_check_strictly" IS '部门树选择项是否关联显示';

COMMENT ON COLUMN "eco"."sys_role"."status" IS '角色状态（1正常 0停用）';

COMMENT ON COLUMN "eco"."sys_role"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_role"."del_flag" IS '删除标志（1代表存在 0代表删除）';

COMMENT ON COLUMN "eco"."sys_role"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_role"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_role"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_role"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."sys_role"."remark" IS '备注';

COMMENT ON TABLE "eco"."sys_role_dept" IS '角色和部门关联表';

COMMENT ON COLUMN "eco"."sys_role_dept"."role_id" IS '角色ID';

COMMENT ON COLUMN "eco"."sys_role_dept"."dept_id" IS '部门ID';

COMMENT ON TABLE "eco"."sys_role_menu" IS '角色和菜单关联表';

COMMENT ON COLUMN "eco"."sys_role_menu"."role_id" IS '角色ID';

COMMENT ON COLUMN "eco"."sys_role_menu"."menu_id" IS '菜单ID';

COMMENT ON TABLE "eco"."sys_tenant" IS '租户表';

COMMENT ON COLUMN "eco"."sys_tenant"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_tenant"."contact_user_name" IS '联系人';

COMMENT ON COLUMN "eco"."sys_tenant"."contact_phone" IS '联系电话';

COMMENT ON COLUMN "eco"."sys_tenant"."company_name" IS '企业名称';

COMMENT ON COLUMN "eco"."sys_tenant"."license_number" IS '统一社会信用代码';

COMMENT ON COLUMN "eco"."sys_tenant"."address" IS '地址';

COMMENT ON COLUMN "eco"."sys_tenant"."intro" IS '企业简介';

COMMENT ON COLUMN "eco"."sys_tenant"."domain_name" IS '域名';

COMMENT ON COLUMN "eco"."sys_tenant"."remark" IS '备注';

COMMENT ON COLUMN "eco"."sys_tenant"."package_id" IS '租户套餐编号';

COMMENT ON COLUMN "eco"."sys_tenant"."expire_time" IS '过期时间';

COMMENT ON COLUMN "eco"."sys_tenant"."account_count" IS '用户数量（-1不限制）';

COMMENT ON COLUMN "eco"."sys_tenant"."status" IS '租户状态（1正常 0停用）';

COMMENT ON COLUMN "eco"."sys_tenant"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_tenant"."del_flag" IS '删除标志（1代表存在 0代表删除）';

COMMENT ON COLUMN "eco"."sys_tenant"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_tenant"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_tenant"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_tenant"."update_time" IS '更新时间';

COMMENT ON TABLE "eco"."sys_tenant_package" IS '租户套餐表';

COMMENT ON COLUMN "eco"."sys_tenant_package"."package_id" IS '租户套餐id';

COMMENT ON COLUMN "eco"."sys_tenant_package"."package_name" IS '套餐名称';

COMMENT ON COLUMN "eco"."sys_tenant_package"."menu_ids" IS '关联菜单id';

COMMENT ON COLUMN "eco"."sys_tenant_package"."remark" IS '备注';

COMMENT ON COLUMN "eco"."sys_tenant_package"."status" IS '状态（0正常 1停用）';

COMMENT ON COLUMN "eco"."sys_tenant_package"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_tenant_package"."del_flag" IS '删除标志（1代表存在 0代表删除）';

COMMENT ON COLUMN "eco"."sys_tenant_package"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_tenant_package"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_tenant_package"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_tenant_package"."update_time" IS '更新时间';

COMMENT ON TABLE "eco"."sys_user" IS '用户信息表';

COMMENT ON COLUMN "eco"."sys_user"."user_id" IS '用户ID';

COMMENT ON COLUMN "eco"."sys_user"."tenant_id" IS '租户编号';

COMMENT ON COLUMN "eco"."sys_user"."dept_id" IS '部门ID';

COMMENT ON COLUMN "eco"."sys_user"."user_name" IS '用户账号';

COMMENT ON COLUMN "eco"."sys_user"."nick_name" IS '用户昵称';

COMMENT ON COLUMN "eco"."sys_user"."user_type" IS '用户类型（sys_user系统用户）';

COMMENT ON COLUMN "eco"."sys_user"."email" IS '用户邮箱';

COMMENT ON COLUMN "eco"."sys_user"."phonenumber" IS '手机号码';

COMMENT ON COLUMN "eco"."sys_user"."gender" IS '用户性别（0男 1女 2未知）';

COMMENT ON COLUMN "eco"."sys_user"."avatar" IS '头像地址';

COMMENT ON COLUMN "eco"."sys_user"."password" IS '密码';

COMMENT ON COLUMN "eco"."sys_user"."status" IS '帐号状态（1正常 0停用）';

COMMENT ON COLUMN "eco"."sys_user"."version" IS '乐观锁';

COMMENT ON COLUMN "eco"."sys_user"."del_flag" IS '删除标志（1代表存在 0代表删除）';

COMMENT ON COLUMN "eco"."sys_user"."login_ip" IS '最后登陆IP';

COMMENT ON COLUMN "eco"."sys_user"."login_date" IS '最后登陆时间';

COMMENT ON COLUMN "eco"."sys_user"."create_by" IS '创建者';

COMMENT ON COLUMN "eco"."sys_user"."create_time" IS '创建时间';

COMMENT ON COLUMN "eco"."sys_user"."update_by" IS '更新者';

COMMENT ON COLUMN "eco"."sys_user"."update_time" IS '更新时间';

COMMENT ON COLUMN "eco"."sys_user"."remark" IS '备注';

COMMENT ON TABLE "eco"."sys_user_post" IS '用户与岗位关联表';

COMMENT ON COLUMN "eco"."sys_user_post"."user_id" IS '用户ID';

COMMENT ON COLUMN "eco"."sys_user_post"."post_id" IS '岗位ID';

COMMENT ON TABLE "eco"."sys_user_role" IS '用户和角色关联表';

COMMENT ON COLUMN "eco"."sys_user_role"."user_id" IS '用户ID';

COMMENT ON COLUMN "eco"."sys_user_role"."role_id" IS '角色ID';

