-- 导出  表 ruoyi-flex.pj_app_info 结构
DROP TABLE IF EXISTS `pj_app_info`;
CREATE TABLE IF NOT EXISTS `pj_app_info` (
     `id` bigint NOT NULL AUTO_INCREMENT,
     `app_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `current_server` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `gmt_create` datetime(6) DEFAULT NULL,
     `gmt_modified` datetime(6) DEFAULT NULL,
     `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     PRIMARY KEY (`id`) USING BTREE,
     UNIQUE KEY `uidx01_app_info` (`app_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 导出  表 ruoyi-flex.pj_container_info 结构
DROP TABLE IF EXISTS `pj_container_info`;
CREATE TABLE IF NOT EXISTS `pj_container_info` (
       `id` bigint NOT NULL AUTO_INCREMENT,
       `app_id` bigint DEFAULT NULL,
       `container_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
       `gmt_create` datetime(6) DEFAULT NULL,
       `gmt_modified` datetime(6) DEFAULT NULL,
       `last_deploy_time` datetime(6) DEFAULT NULL,
       `source_info` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
       `source_type` int DEFAULT NULL,
       `status` int DEFAULT NULL,
       `version` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
       PRIMARY KEY (`id`) USING BTREE,
       KEY `idx01_container_info` (`app_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 导出  表 ruoyi-flex.pj_instance_info 结构
DROP TABLE IF EXISTS `pj_instance_info`;
CREATE TABLE IF NOT EXISTS `pj_instance_info` (
      `id` bigint NOT NULL AUTO_INCREMENT,
      `actual_trigger_time` bigint DEFAULT NULL,
      `app_id` bigint DEFAULT NULL,
      `expected_trigger_time` bigint DEFAULT NULL,
      `finished_time` bigint DEFAULT NULL,
      `gmt_create` datetime(6) DEFAULT NULL,
      `gmt_modified` datetime(6) DEFAULT NULL,
      `instance_id` bigint DEFAULT NULL,
      `instance_params` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
      `job_id` bigint DEFAULT NULL,
      `job_params` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
      `last_report_time` bigint DEFAULT NULL,
      `result` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
      `running_times` bigint DEFAULT NULL,
      `status` int DEFAULT NULL,
      `task_tracker_address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `type` int DEFAULT NULL,
      `wf_instance_id` bigint DEFAULT NULL,
      PRIMARY KEY (`id`) USING BTREE,
      KEY `idx01_instance_info` (`job_id`,`status`) USING BTREE,
      KEY `idx02_instance_info` (`app_id`,`status`) USING BTREE,
      KEY `idx03_instance_info` (`instance_id`,`status`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 导出  表 ruoyi-flex.pj_job_info 结构
DROP TABLE IF EXISTS `pj_job_info`;
CREATE TABLE IF NOT EXISTS `pj_job_info` (
     `id` bigint NOT NULL AUTO_INCREMENT,
     `alarm_config` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `app_id` bigint DEFAULT NULL,
     `concurrency` int DEFAULT NULL,
     `designated_workers` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `dispatch_strategy` int DEFAULT NULL,
     `execute_type` int DEFAULT NULL,
     `extra` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `gmt_create` datetime(6) DEFAULT NULL,
     `gmt_modified` datetime(6) DEFAULT NULL,
     `instance_retry_num` int DEFAULT NULL,
     `instance_time_limit` bigint DEFAULT NULL,
     `job_description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `job_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `job_params` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
     `lifecycle` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `log_config` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `max_instance_num` int DEFAULT NULL,
     `max_worker_count` int DEFAULT NULL,
     `min_cpu_cores` double NOT NULL,
     `min_disk_space` double NOT NULL,
     `min_memory_space` double NOT NULL,
     `next_trigger_time` bigint DEFAULT NULL,
     `notify_user_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `processor_info` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `processor_type` int DEFAULT NULL,
     `status` int DEFAULT NULL,
     `tag` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `task_retry_num` int DEFAULT NULL,
     `time_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `time_expression_type` int DEFAULT NULL,
     PRIMARY KEY (`id`) USING BTREE,
     KEY `idx01_job_info` (`app_id`,`status`,`time_expression_type`,`next_trigger_time`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 导出  表 ruoyi-flex.pj_oms_lock 结构
DROP TABLE IF EXISTS `pj_oms_lock`;
CREATE TABLE IF NOT EXISTS `pj_oms_lock` (
     `id` bigint NOT NULL AUTO_INCREMENT,
     `gmt_create` datetime(6) DEFAULT NULL,
     `gmt_modified` datetime(6) DEFAULT NULL,
     `lock_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     `max_lock_time` bigint DEFAULT NULL,
     `ownerip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
     PRIMARY KEY (`id`) USING BTREE,
     UNIQUE KEY `uidx01_oms_lock` (`lock_name`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 正在导出表  ruoyi-flex.pj_oms_lock 的数据：~0 rows (大约)

-- 导出  表 ruoyi-flex.pj_server_info 结构
DROP TABLE IF EXISTS `pj_server_info`;
CREATE TABLE IF NOT EXISTS `pj_server_info` (
    `id` bigint NOT NULL AUTO_INCREMENT,
    `gmt_create` datetime(6) DEFAULT NULL,
    `gmt_modified` datetime(6) DEFAULT NULL,
    `ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `uidx01_server_info` (`ip`) USING BTREE,
    KEY `idx01_server_info` (`gmt_modified`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 导出  表 ruoyi-flex.pj_user_info 结构
DROP TABLE IF EXISTS `pj_user_info`;
CREATE TABLE IF NOT EXISTS `pj_user_info` (
      `id` bigint NOT NULL AUTO_INCREMENT,
      `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `extra` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `gmt_create` datetime(6) DEFAULT NULL,
      `gmt_modified` datetime(6) DEFAULT NULL,
      `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `web_hook` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      PRIMARY KEY (`id`) USING BTREE,
      KEY `uidx01_user_info` (`username`) USING BTREE,
      KEY `uidx02_user_info` (`email`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 正在导出表  ruoyi-flex.pj_user_info 的数据：~0 rows (大约)

-- 导出  表 ruoyi-flex.pj_workflow_info 结构
DROP TABLE IF EXISTS `pj_workflow_info`;
CREATE TABLE IF NOT EXISTS `pj_workflow_info` (
      `id` bigint NOT NULL AUTO_INCREMENT,
      `app_id` bigint DEFAULT NULL,
      `extra` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `gmt_create` datetime(6) DEFAULT NULL,
      `gmt_modified` datetime(6) DEFAULT NULL,
      `lifecycle` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `max_wf_instance_num` int DEFAULT NULL,
      `next_trigger_time` bigint DEFAULT NULL,
      `notify_user_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `pedag` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
      `status` int DEFAULT NULL,
      `time_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `time_expression_type` int DEFAULT NULL,
      `wf_description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      `wf_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
      PRIMARY KEY (`id`) USING BTREE,
      KEY `idx01_workflow_info` (`app_id`,`status`,`time_expression_type`,`next_trigger_time`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 正在导出表  ruoyi-flex.pj_workflow_info 的数据：~0 rows (大约)

-- 导出  表 ruoyi-flex.pj_workflow_instance_info 结构
DROP TABLE IF EXISTS `pj_workflow_instance_info`;
CREATE TABLE IF NOT EXISTS `pj_workflow_instance_info` (
       `id` bigint NOT NULL AUTO_INCREMENT,
       `actual_trigger_time` bigint DEFAULT NULL,
       `app_id` bigint DEFAULT NULL,
       `dag` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
       `expected_trigger_time` bigint DEFAULT NULL,
       `finished_time` bigint DEFAULT NULL,
       `gmt_create` datetime(6) DEFAULT NULL,
       `gmt_modified` datetime(6) DEFAULT NULL,
       `parent_wf_instance_id` bigint DEFAULT NULL,
       `result` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
       `status` int DEFAULT NULL,
       `wf_context` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
       `wf_init_params` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
       `wf_instance_id` bigint DEFAULT NULL,
       `workflow_id` bigint DEFAULT NULL,
       PRIMARY KEY (`id`) USING BTREE,
       UNIQUE KEY `uidx01_wf_instance` (`wf_instance_id`) USING BTREE,
       KEY `idx01_wf_instance` (`workflow_id`,`status`,`app_id`,`expected_trigger_time`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 正在导出表  ruoyi-flex.pj_workflow_instance_info 的数据：~0 rows (大约)

-- 导出  表 ruoyi-flex.pj_workflow_node_info 结构
DROP TABLE IF EXISTS `pj_workflow_node_info`;
CREATE TABLE IF NOT EXISTS `pj_workflow_node_info` (
       `id` bigint NOT NULL AUTO_INCREMENT,
       `app_id` bigint NOT NULL,
       `enable` bit(1) NOT NULL,
       `extra` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
       `gmt_create` datetime(6) DEFAULT NULL,
       `gmt_modified` datetime(6) DEFAULT NULL,
       `job_id` bigint DEFAULT NULL,
       `node_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin DEFAULT NULL,
       `node_params` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin,
       `skip_when_failed` bit(1) NOT NULL,
       `type` int DEFAULT NULL,
       `workflow_id` bigint DEFAULT NULL,
       PRIMARY KEY (`id`) USING BTREE,
       KEY `idx01_workflow_node_info` (`workflow_id`,`gmt_create`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin ROW_FORMAT=DYNAMIC;

-- 正在导出表  ruoyi-flex.pj_workflow_node_info 的数据：~0 rows (大约)
